eID middleware |

# be.portugal.eid.PTEID_Config Class Reference

Class to access the configuration parameters. More...

Inheritance diagram for be.portugal.eid.PTEID_Config:

List of all members.

## Public Member Functions
synchronized void | delete ()
| PTEID_Config (PTEID_Param Param)
| ctor
| PTEID_Config (String csName, String czSection, String csDefaultValue)
| ctor
| PTEID_Config (String csName, String czSection, int lDefaultValue)
| ctor
String | getString () throws java.lang.Exception
| Get the configuration value (string).
int | getLong () throws java.lang.Exception
| Get the configuration value (numeric).
void | setString (String csValue) throws java.lang.Exception
| Set the configuration value (string).
void | setLong (int lValue) throws java.lang.Exception
| Set the configuration value (numeric).
## Protected Member Functions
| PTEID_Config (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_Config obj)

## Detailed Description

Class to access the configuration parameters.

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_Config.PTEID_Config | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

be.portugal.eid.PTEID_Config.PTEID_Config | ( | PTEID_Param | Param | ) |

ctor

Parameters:

  | Param | configuration parameter

See also:
  PTEID_Param

References be.portugal.eid.PTEID_Param.swigValue.

be.portugal.eid.PTEID_Config.PTEID_Config | ( | String | csName,
|  | String | czSection,
|  | String | csDefaultValue |
| ) |  |  |

ctor

Parameters:

  | csName | the name of the configuration parameter
  | czSection | the section in the configuration settings
  | csDefaultValue | the default value (string)

be.portugal.eid.PTEID_Config.PTEID_Config | ( | String | csName,
|  | String | czSection,
|  | int | lDefaultValue |
| ) |  |  |

ctor

Parameters:

  | csName | the name of the configuration parameter
  | czSection | the section in the configuration settings
  | lDefaultValue | the default value (numeric)

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_Config.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Object.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_Config.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Object.

static long be.portugal.eid.PTEID_Config.getCPtr | ( | PTEID_Config | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_Config.swigCPtr.

int be.portugal.eid.PTEID_Config.getLong | ( |  | ) | throws java.lang.Exception

Get the configuration value (numeric).

Returns:
  the configuration setting (numeric)

String be.portugal.eid.PTEID_Config.getString | ( |  | ) | throws java.lang.Exception

Get the configuration value (string).

Returns:
  the configuration setting (string)

void be.portugal.eid.PTEID_Config.setLong | ( | int | lValue | ) | throws java.lang.Exception

Set the configuration value (numeric).

Parameters:

  | lValue | is the value for the configuration setting

void be.portugal.eid.PTEID_Config.setString | ( | String | csValue | ) | throws java.lang.Exception

Set the configuration value (string).

Parameters:

  | csValue | is the value for the configuration setting